Bug 1571822 - Test case failure: /CoreOS/mysql/testsuite - main.events_2
Summary: Test case failure: /CoreOS/mysql/testsuite - main.events_2
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: mysql
Version: 6.10
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Michal Schorm
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 13:24 UTC by Karel Volný
Modified: 2018-06-15 09:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-15 09:48:52 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Karel Volný 2018-04-25 13:24:20 UTC
Filed from caserun https://tcms.engineering.redhat.com/run/330034/#caserun_17210285

Version-Release number of selected component (if applicable):
RHEL-6.10-20180418.0
mysql-server-5.1.73-8.el6_8

Steps to Reproduce: 
(run the test)

Actual results: 
main.events_2                            [ fail ]
        Test ended at 2018-04-20 07:50:58

CURRENT_TEST: main.events_2
mysqltest: At line 18: query 'drop event e_26' failed: 1539: Unknown event 'e_26'

The result from queries just before the failure was:
drop database if exists events_test;
create database events_test;
use events_test;
create event e_26 on schedule at '2017-01-01 00:00:00' disable do set @a = 5;
Warnings:
Note	1588	Event execution time is in the past and ON COMPLETION NOT PRESERVE is set. The event was dropped immediately after creation.
select db, name, body, definer, convert_tz(execute_at, 'UTC', 'SYSTEM'), on_completion from mysql.event;
db	name	body	definer	convert_tz(execute_at, 'UTC', 'SYSTEM')	on_completion

 - saving '/var/tmp/testgw5/log/main.events_2/' to '/var/tmp/testgw5/log/main.events_2/'

Retrying test main.events_2, attempt(2/3)...

main.events_2                            [ retry-fail ]
        Test ended at 2018-04-20 07:50:59

CURRENT_TEST: main.events_2
mysqltest: At line 18: query 'drop event e_26' failed: 1539: Unknown event 'e_26'

The result from queries just before the failure was:
drop database if exists events_test;
create database events_test;
use events_test;
create event e_26 on schedule at '2017-01-01 00:00:00' disable do set @a = 5;
Warnings:
Note	1588	Event execution time is in the past and ON COMPLETION NOT PRESERVE is set. The event was dropped immediately after creation.
select db, name, body, definer, convert_tz(execute_at, 'UTC', 'SYSTEM'), on_completion from mysql.event;
db	name	body	definer	convert_tz(execute_at, 'UTC', 'SYSTEM')	on_completion

 - saving '/var/tmp/testgw5/log/main.events_2/' to '/var/tmp/testgw5/log/main.events_2/'

Test main.events_2 has failed 2 times, no more retries!


Note You need to log in before you can comment on or make changes to this bug.